Subject: [Manycouches] cancel-meetings changes

From: Martin Duke <[email-masked]>
Date: Wed, 17 Mar 2021 17:11:39 -0700

Hello,

I've processed all the 110 feedback on the cancel-meetings draft. One item
didn't have an
emerging consensus:

1) Jay argues
<https://mailarchive.ietf.org/arch/msg/manycouches/WApwr954Ie6yabAWR0CPy4b7vmo/>
that RFC 8718 requires the LLC to ensure that the "overwhelming majority"
of expected attendees can get there, so a framework that applies much
tougher cancellation thresholds and lets the IESG sort out the middle
ground is problematic.

2) Mirja counters
<https://mailarchive.ietf.org/arch/msg/manycouches/IaplUY4dzClb4R20IoAJRC6Yd2k/>
that 8718 is about initial venue selection, and maybe the current draft's
text where the IESG can make a judgment is better.

Personally, I'm sympathetic to Mirja's point. Certainly, if the pandemic
had been much more contained for 107 we probably would have gone with a
hybrid meeting with 60% of attendees or whatever.

What do others think?

---

From: Fred Baker <[email-masked]>
Date: Wed, 17 Mar 2021 19:50:25 -0700

Personally, I am similarly inclined toward her viewpoint. The document says in so many words that maximal attendance is a non-objective, but we would like to err in the direction of inclusiveness. To me, a hybrid meeting with 60% on-site and the rest remote would have been fine, had that been rational in context for 107. I’m not sure it would have been, and certainly wouldn’t have worked for 108-110.

Sent from my iPad

> On Mar 17, 2021, at 5:11 PM, Martin Duke <[email-masked]> wrote:
> 
> Personally, I'm sympathetic to Mirja's point. Certainly, if the pandemic had been much more contained for 107 we probably would have gone with a hybrid meeting with 60% of attendees or whatever.

---

From: John C Klensin <[email-masked]>
Date: Thu, 18 Mar 2021 02:16:23 -0400

--On Wednesday, March 17, 2021 19:50 -0700 Fred Baker
<[email-masked]> wrote:

> Personally, I am similarly inclined toward her viewpoint. The
> document says in so many words that maximal attendance is a
> non-objective, but we would like to err in the direction of
> inclusiveness. To me, a hybrid meeting with 60% on-site and
> the rest remote would have been fine, had that been rational
> in context for 107. I'm not sure it would have been, and
> certainly wouldn't have worked for 108-110.

I'm not sure if retrospective speculation helps at this point
but, remembering 107 and having had more experience than I care
to think about with running WebEx in hybrid situations, that
might easily have been a disaster that would have set us back
many years.  Would Meetecho have been selected for a hybrid and
would it have been ready to handle it well at the time?  I don't
know but the considerable number of improvements that have been
made in the last year suggest maybe not.

That is exactly why I am concerned that our next nominally f2f
meeting (whether that is 111, 112, or thereafter) and maybe the
one after that will likely be hybrid in practice (and I'm
guessing 60% on-site might turn out to be high unless that were
the minimum for holding such a meeting) and that "we" (at least
the LLC, the tools team, and the IESG) should start thinking
through the implications and scenarios for such meeting(s) in
addition to thinking about cancellation criteria.

    john

---

From: Fred Baker <[email-masked]>
Date: Wed, 17 Mar 2021 23:59:29 -0700

Sent from my iPad

> On Mar 17, 2021, at 11:16 PM, John C Klensin <[email-masked]> wrote:
> 
> one after that will likely be hybrid in practice

I have made similar comments in ICANN circles, where I chair an advisory committee. I think there may be a place for “courage of our convictions” - as in, do what research is possible to plan a meeting that will have at least some stated level of in-person attendance, and then “damn the torpedos” and do it.

---

From: John C Klensin <[email-masked]>
Date: Thu, 18 Mar 2021 09:19:58 -0400

--On Wednesday, March 17, 2021 23:59 -0700 Fred Baker
<[email-masked]> wrote:

>> meeting (whether that is 111, 112, or thereafter) and maybe
>> the one after that will likely be hybrid in practice
> 
> I have made similar comments in ICANN circles, where I chair
> an advisory committee. I think there may be a place for
> "courage of our convictions" - as in, do what research is
> possible to plan a meeting that will have at least some stated
> level of in-person attendance, and then "damn the
> torpedos" and do it.

Agreed.  However, there is an important difference between IETF
and ICANN.  At least in my observations, with ICANN,
participation by the vast majority of attendees is funded by
either organizations with significant revenue (or aspirations
for it) that depends directly on ICANN decisions that they hope
to control or influence or funded by ICANN itself.   A very few
constituencies notwithstanding, there is little or no pretence
of participation by individuals. Even those constituencies are
in doubt because, no matter how they are  organized internally,
they still participate as constituencies. That is not the case
for IETF and, if a few companies with significant IETF
participation were to say "no one is flying" or "do that meeting
remotely", no amount of our saying either of your quoted
comments above would make any difference... unless, of course,
we banned remote participation entirely.

   john

---

From: Martin Duke <[email-masked]>
Date: Sat, 20 Mar 2021 11:16:44 -0700

So what I'm gathering from this thread (and the much livelier one about
hybrid meetings) is that there is some appetite for exploring hybrids, and
we should not publish a document that directs the LLC to cancel if 20% of
the population can't make it.

Early next week, I'll drop a new revision of cancel-meetings that has this
change barring some objections.

---

From: Fred Baker <[email-masked]>
Date: Sat, 20 Mar 2021 11:41:40 -0700

I would say that the LLC may determine a threshold (or other set of criteria) at which it chooses to cancel a meeting, but I would not specify the threshold or other criteria. My fundamental rule would be whether, in the collective opinion of the LLC, the majority of working groups would likely accomplish their business. 

Those of us that were involved in 2000 will recall my polling the set of folks with posted internet drafts whether they planned to be at the Adelaide meeting. OSPF didn’t meet at all, and most companies responded that they would be there but send a smaller contingent. I would opine that the meeting might have been a useful one.

This seems like a similar place in which the collective wisdom of the LLC is the reason we created it.

Sent using a machine that autocorrects in interesting ways...

> On Mar 20, 2021, at 11:16 AM, Martin Duke <[email-masked]> wrote:
> 
> 
> So what I'm gathering from this thread (and the much livelier one about hybrid meetings) is that there is some appetite for exploring hybrids, and we should not publish a document that directs the LLC to cancel if 20% of the population can't make it.
> 
> Early next week, I'll drop a new revision of cancel-meetings that has this change barring some objections.
>

---

From: Michael Richardson <[email-masked]>
Date: Sat, 20 Mar 2021 14:59:15 -0400

Fred Baker <[email-masked]> wrote:
    > I would say that the LLC may determine a threshold (or other set of
    > criteria) at which it chooses to cancel a meeting, but I would not
    > specify the threshold or other criteria. My fundamental rule would be
    > whether, in the collective opinion of the LLC, the majority of working
    > groups would likely accomplish their business.

+1

    > Those of us that were involved in 2000 will recall my polling the set
    > of folks with posted internet drafts whether they planned to be at the
    > Adelaide meeting. OSPF didn’t meet at all, and most companies responded
    > that they would be there but send a smaller contingent. I would opine
    > that the meeting might have been a useful one.

And then, the San Diego meeting that same year, where no work could be
accomplished, because nobody could get through the hallways between meeting
rooms :-)

    > LLC is the reason we created it.

I agree.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Martin Duke <[email-masked]>
Date: Sat, 20 Mar 2021 12:08:22 -0700

So the language the cancel-meetings draft is stumbling towards is to have
the LLC not make the judgment at all, and have the IESG figure out whether
or not the meeting can be effective with reduced numbers. IMO the IESG is
better equipped to assess this.

Is this agreeable to you?

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 21 Mar 2021 08:50:01 +1300

On 21-Mar-21 08:08, Martin Duke wrote:
> So the language the cancel-meetings draft is stumbling towards is to have the LLC not make the judgment at all, and have the IESG figure out whether or not the meeting can be effective with reduced numbers. IMO the IESG is better equipped to assess this.

Yes, the final decision should clearly be the IESG's but I'd want it to be very very rare that they would ignore the LLC's advice, because that would be like a government ignoring the medical advice on pandemic response.

    Brian

> On Sat, Mar 20, 2021 at 11:59 AM Michael Richardson <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>     Fred Baker <[email-masked] <mailto:[email-masked]>> wrote:
>         > I would say that the LLC may determine a threshold (or other set of
>         > criteria) at which it chooses to cancel a meeting, but I would not
>         > specify the threshold or other criteria. My fundamental rule would be
>         > whether, in the collective opinion of the LLC, the majority of working
>         > groups would likely accomplish their business.
> 
>     +1
> 
>         > Those of us that were involved in 2000 will recall my polling the set
>         > of folks with posted internet drafts whether they planned to be at the
>         > Adelaide meeting. OSPF didn’t meet at all, and most companies responded
>         > that they would be there but send a smaller contingent. I would opine
>         > that the meeting might have been a useful one.
> 
>         > This seems like a similar place in which the collective wisdom of the
>         > LLC is the reason we created it.
> 
>     I agree.
> 
>     --
>     Michael Richardson <[email-masked] <mailto:[email-masked]>>   . o O ( IPv6 IøT consulting )
> _______________________________________________
> Manycouches mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manycouches
>

---

From: Fred Baker <[email-masked]>
Date: Sat, 20 Mar 2021 14:27:48 -0700

Works for me. The question is the effectiveness of the meeting, not the specific numbers derived in the absence of data.

Sent from my iPad

> On Mar 20, 2021, at 12:08 PM, Martin Duke <[email-masked]> wrote:
> 
> 
>> On Sat, Mar 20, 2021 at 11:59 AM Michael Richardson <[email-masked]> wrote:
>>

---

From: John C Klensin <[email-masked]>
Date: Sat, 20 Mar 2021 18:21:17 -0400

--On Saturday, March 20, 2021 12:08 -0700 Martin Duke
<[email-masked]> wrote:

> So the language the cancel-meetings draft is stumbling towards
> is to have the LLC not make the judgment at all, and have the
> IESG figure out whether or not the meeting can be effective
> with reduced numbers. IMO the IESG is better equipped to
> assess this.
> 

Martin,

I'm getting a slightly different impression from the recent
discussions.  It feels to me like a multipart problem, with
different decision mechanisms for what are really different
decisions.  

Without overspecifying criteria, I'd like to see 

(1) The LLC _decide_ whether holding the meeting at the target
host location is economically and operationally feasible.  That
decision should focus on issues related to the meeting site,
examining such topics as whether the hotel is open and
functional, it is possible for people to eat, it is feasible for
the secretariat and tools team to do there work, and so on.
That largely follows your current Section 3.1, but excludes
judgments about whether people can attend, which people, and how
many of them.  If special operational considerations, previously
discussed by the community, apply because of a likely hybrid
meeting, they are in this category too: things are either
feasible or they are not.  On any (or a combination of) that
cluster of criteria, the LLC does decide and, because several of
them involve contractual issues, the community needs to be
prepared to not get details of the reasoning.

(2) The LLC _advises_ the IESG on the other issues within its
(the LLCs) knowledge and expertise in 3.1 and that have been
identified in the last several days.  Obv8ously that includes
information that might prevent people from particular countries
from attending, any information it might have about corporate
travel bans.  

(3) The IESG evaluates probable meeting effectiveness using
input from the LLC and discussions with the community as well as
the personal knowledge of the ADs, including consideration of
hybrid options as well as the "we expect everyone to attend f2f
although we know some won't" scenario.  If the IESG decides that
any of the actions listed in your present Section 4 is
preferable to holding a meeting that is at least partially f2f
in the original location, it is required to disclose its
reasoning to the community.  

I'm suggesting that the principle is that we have the LLC for
making economic and operational feasibility decisions and that
those decisions should neither be delegated to nor usurped by
the IESG.

Some additional comments; a few of them reviewing what has been
said before by others:

(i) If, using the above model, the IESG and LLC disagree on
whether a meeting should be held, we lock them in the nearest
available bikeshed until they reach agreement, letting a few
more poisonous snakes into the shed every day to encourage
consensus-forming.  Seriously, I do not believe it is
appropriate or, given the nature of emergencies, useful to try
to specific in the document who has veto power and under what
circumstances.

(ii) With emergencies and a short time within which to decide, I
don't believe that some of the options you have listed in
Section 4 are realistic.  In particular, relocation is probably
not realistic unless the LLC has one or more backup locations on
standby or the relocation is to a facility more or less across
the street (e.g., if there are no health, regulatory, or other
restrictions on the venue but that the originally-chosen venue
facilities burned down or otherwise became suddenly unavailable.

(iii) I am personally opposed to listing who the IESG is
expected to consult as in the last paragraph of Section 3.2.  I
think we need to be pragmatic if completely unexpected
circumstances arise but we should not codify top-down decision
making, much less establishing a list of who is on top.  Having
anyone or anything but rough consensus of the participants "on
top" except in the most dire and unexpected of emergencies could
cause far more damage to the IETF than any decision about
whether a meeting is held or not.

(iv) We tend to ignore abstracts until far too late in the
process, but I believe the first sentence of the one on this
document is false.  If we believe what we have been saying to
each other and outsiders for years, we do not believe in
"in-person meetings to reach consensus on documents".  Probably
"to discuss and understand issues" or something like that, but
we reach consensus on mailing lists.  Right?

best,
   john

---

From: Jay Daley <[email-masked]>
Date: Mon, 22 Mar 2021 12:15:44 +1300

> On 21/03/2021, at 8:08 AM, Martin Duke <[email-masked]> wrote:
> 

No not really.  There comes a point with reduced numbers at which going ahead with the meeting will lead to a significant financial loss and the LLC will cancel for that reason.  (For those interested, the loss is because we are required to guarantee certain occupancy levels when we book and we carry the room cost if it falls below that).  

So I prefer a double gate approach, with the LLC controlling the first gate and potentially cancelling the meeting for financial/legal/safety/facility reasons and if a meeting passes that gate then the IESG controls the second gate and may choose to cancel for numbers/content/agenda/experience/fairness reasons.

(This is pretty much what John says in reply also, I believe)

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Martin Duke <[email-masked]>
Date: Sun, 21 Mar 2021 16:41:11 -0700

Jay,

That is a useful clarification and I will add it, thanks.

On Sun, Mar 21, 2021, 16:15 Jay Daley <[email-masked]> wrote:

> No not really.  There comes a point with reduced numbers at which going
> ahead with the meeting will lead to a significant financial loss and the
> LLC will cancel for that reason.  (For those interested, the loss is
> because we are required to guarantee certain occupancy levels when we book
> and we carry the room cost if it falls below that).
>
> So I prefer a double gate approach, with the LLC controlling the first
> gate and potentially cancelling the meeting for
> financial/legal/safety/facility reasons and if a meeting passes that gate
> then the IESG controls the second gate and may choose to cancel for
> numbers/content/agenda/experience/fairness reasons.
>
>>     > This seems like a similar place in which the collective wisdom of
>> the
>>     > LLC is the reason we created it.
>>
>> I agree.
>>
>> --

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 22 Mar 2021 13:54:47 +1300

I completely understand Jay's point, but suppose the LLC's judgment is that holding a meeting will lead to a loss of (say) $750k and the IESG's judgment is that this is OK?

Before we "legislate" with an RFC, we'd better be sure what we want. I'm not finding any text in RFC8711/BCP101 that covers such dilemmas.

Regards
   Brian

On 22-Mar-21 12:41, Martin Duke wrote:
> On Sun, Mar 21, 2021, 16:15 Jay Daley <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
>>     On 21/03/2021, at 8:08 AM, Martin Duke <[email-masked] <mailto:[email-masked]>> wrote:
>>
>     [email-masked] <mailto:[email-masked]>
> 
>

---

From: Jay Daley <[email-masked]>
Date: Mon, 22 Mar 2021 14:00:43 +1300

> On 22/03/2021, at 1:54 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I am - Section 4.3

     Finances. The IETF LLC is responsible for managing the IETF's
     finances and budget.

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 22 Mar 2021 14:08:11 +1300

>      Finances. The IETF LLC is responsible for managing the IETF's

True. And that's why I understand your point. But that doesn't answer my question: what happens when the IESG is in dispute with the LLC about a decision that seriously impacts the standards process? That question is certainly not within SHMOO's charter, so a SHMOO document can't purport to answer it.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Sun, 21 Mar 2021 22:36:07 -0400

--On Monday, March 22, 2021 13:54 +1300 Brian E Carpenter
<[email-masked]> wrote:

> I completely understand Jay's point, but suppose the LLC's
> judgment is that holding a meeting will lead to a loss of
> (say) $750k and the IESG's judgment is that this is OK?
> 
> Before we "legislate" with an RFC, we'd better be sure what we
> want. I'm not finding any text in RFC8711/BCP101 that covers
> such dilemmas.

Brian,

This is why I suggested that there were two separate decisions.
Jay's "two gate" version is close to the same thing, but with a
key difference.  In his model, if the LLC decides to cancel, the
IESG has no say in the matter.  In mine, the IESG makes its own
decision about whether a meeting is feasible and appropriate.
If the two answers (LLC and IESG) are the same, no problem.  If
the LLC has said "no", the IESG "yes" answer isn't "that's ok",
but it might be "we see it as important enough to hold a f2f
meeting that you, LLC, need to figure out how to cover the
costs".  In the, IMO, thoroughly unlikely, event that the two
bodies disagree about whether the meeting should be held, I
expect a mature and professional discussion, carried out to the
degree possible in full view of the community.  If they cannot
agree, I think we have far bigger problems than whether to hold
a meeting.  

However, because I do not believe that the community has agreed
that the LLC is a company that runs the IETF as one of its
businesses and controls it accordingly and because the LLC's
authorizing documents are very clear that the LLC cannot control
or interfere in the standards process, I think it is unhealthy
to set up a situation in which the LLC gets to say "we have
decided that meeting should not be held for financial or legal
reasons and that the IETF, and especially the IESG, are required
to just accept that conclusion".  The IESG may see tradeoffs
with significant impact on the standards process.  If they are
significant enough that the IESG concludes it is important that
the meeting be held, I think the LLC should be obligated to
listen carefully to an explanation of those tradeoffs.  

    john

---

From: Michael Richardson <[email-masked]>
Date: Mon, 22 Mar 2021 08:21:46 -0400

John C Klensin <[email-masked]> wrote:
    > IESG has no say in the matter.

I have no problem with this.
The IESG has representation on the LLC.  The LLC board does not operate in isolation.

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 22 Mar 2021 14:52:25 +0000

> Before we "legislate" with an RFC, we'd better be sure what we want. I'm not finding any text in RFC8711/BCP101 that covers such dilemmas.

(speaking personally)

This is a good point and I personally continue to worry about that over-legislation. The current decision-making processes seem to have been working quite well since the pandemic by the normal process of rough consensus. As well, general processes for assessing and making such decisions have been developed that provides a general guide - but also allows for flexibility based on whatever situations may arise in the future.

Do we have reason to believe there is significant risk to that changing? Is the current approach not working well? What problem are we trying to solve? What is the minimum we need to specify or document?

JL

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 22 Mar 2021 10:29:15 -0500

> accomplished, because nobody could get through the hallways between meeting
I attended San Diego meeting. I think it had 3000+ attendees, a maximum
that will probably never reached again.
I think some work was accomplished, at least I had made a draft
presentation :)

Behcet

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Mar 2021 08:47:42 +1300

> This is a good point and I personally continue to worry about that over-legislation. The current decision-making processes seem to have been working quite well since the pandemic by the normal proc…

Right, and flexibility & room for common sense is clearly what we need for dealing with unexpected or unprecedented situations.

> Do we have reason to believe there is significant risk to that changing? Is the current approach not working well? What problem are we trying to solve? What is the minimum we need to specify or doc…

I'm just very nervous about trying to write down a decision tree for unknown contingencies. A situation where the LLC and the IESG ended up in conflict about cancelling a meeting or not would be horrible, and that's what a rigid decision tree might lead to. If we write down anything, it should be encouragement to reach a consensus decision.

   Brian

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 22 Mar 2021 19:55:11 +0000

>    I'm just very nervous about trying to write down a decision tree for unknown contingencies. A situation where the LLC and the IESG ended up in conflict about cancelling a meeting or not would be horrible

I think horrible is too strong a word.

As the entity who signs the contracts and writes the checks, seems to me that the LLC has the final say.  Or, as US President Andrew Jackson said "[Justice] John Marshall has made his decision, now let him enforce it." (Probably apocraphyl)

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Mar 2021 11:24:46 +1300

> As the entity who signs the contracts and writes the checks, seems to me that the LLC has the final say.  Or, as US President Andrew Jackson said "[Justice] John Marshall has made his decision, now…

Legally, of course it's the LLC. But a situation where the IESG is not consulted, and/or the IESG completely disagrees with the LLC, would IMHO be horrible indeed.

All I'm suggesting is that the draft should not describe a rigid decision tree, but rather a consultation process to reach consensus.

     Brian

---

From: Bob Hinden <[email-masked]>
Date: Mon, 22 Mar 2021 15:38:36 -0700

Brain,

> On Mar 22, 2021, at 3:24 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I agree.    To put it another way, if the IESG asks for something that the LLC can not accommodate without violating it fiduciary duties, then we have a very big problem.

Bob

---

From: Fred Baker <[email-masked]>
Date: Mon, 22 Mar 2021 21:47:46 -0700

> On Mar 22, 2021, at 12:47 PM, Brian E Carpenter <[email-masked]> wrote:
> 
> If we write down anything, it should be encouragement to reach a consensus decision.

+1

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 23 Mar 2021 11:38:09 +0100

Brian,

> On 23-Mar-21 08:55, Salz, Rich wrote:
[...]
> All I'm suggesting is that the draft should not describe a rigid 
> decision tree, but rather a consultation process to reach consensus.

On this particular point, I would like to say:

- I agree with the thoughts that reaching consensus is an excellent
   suggestion in general, rather than imposing a decision tree.

In detail:

- if there is enough time, and if the results of potentially not taking
   a decision (e.g. a 'remove all cookies at a meeting' decision) affects
   negatively the well being of participants, then the consensus reaching
   is the perfect tool.

- if there is not enough time, and if the results of potentially taking
   the decision (e.g. a 'cancel meeting' decision) affects positively the
   well being of the participants, then the decision tree is the right
   way.

I still have to read the current version of the draft and understand how
much of this is represented.

Finally:

One might wonder how much time were left to the decision maker when s/he
had to take the decision of March 2020 about cancelling an IETF meeting?
  I think it was a couple of weeks.  I think it was not enough time for
consensus development.  IMHO.

One might wonder what are the criteria that might be useful to be put in
a decision tree?  I think that now looking back at what happened in
March 2020 we might identify a few good criteria that could be listed in
a decision tree.  IMHO.

Alex

> 
> Brian
> 
> _______________________________________________ Manycouches mailing 
> list [email-masked]

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 23 Mar 2021 11:49:49 +0100

sorry, I made an error in the cookie recommendation part.

I wanted to say this: if a timely decision affects positively the 
participants then no need of consensus making.

If there is enough time and if the decision might affect negatively the 
participants then consensus building is necessary.